#!/usr/bin/env node

import yargs from 'yargs/yargs';
import axios from 'axios';
import { sonarIssue, convert } from './src/converter';
import fs from 'fs';

const parser = yargs(process.argv.slice(2)).options({
    // host: { type: 'string', default: 'http://whyjihu.southeastasia.cloudapp.azure.com:9001' },
    // token: { type: 'string', default: 'c3FhXzkwZDY1ZDFmZjU2YzE5MGEwNWRmNzIxNTAxMjEzODU3NDk2YWIxYWI6' },
    // project: { type: 'string', default: 'www_public-example_sonar-qube-integration_AYQw63du1WXrh1AvkyAg' },
    host: { type: 'string', default: 'https://sonarqube.com' },
    token: { type: 'string', default: '' },
    project: { type: 'string', default: '' }
});


(async() => {
    const argv = await parser.argv;
    
    const config = {
        method: 'get',
        url: `${argv.host}/api/issues/search?componentKeys=${argv.project}`,
        headers: { 
          'Authorization': `Basic ${argv.token}`,
        }
      };

    let response = await axios(config);

    let sonarIssues: sonarIssue[] = await response.data.issues;

    fs.writeFile('gl-sast-report.json', JSON.stringify(convert(sonarIssues)) , function (err) {
        if (err) return console.log(err);
        console.log('Saved!');
      }
    );

})();